> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Delegated Signer

> Retrieve details about a specific delegated signer by its locator.

**API scope required**: `wallets.read`



## OpenAPI

````yaml get /2025-06-09/wallets/{walletLocator}/signers/{signer}
openapi: 3.0.0
info:
  title: Crossmint Wallets API
  description: Crossmint Wallets API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security: []
tags: []
paths:
  /2025-06-09/wallets/{walletLocator}/signers/{signer}:
    get:
      summary: Get Delegated Signer
      description: |-
        Retrieve details about a specific delegated signer by its locator.

        **API scope required**: `wallets.read`
      operationId: WalletsV2025Controller-getDelegatedSigner-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: walletLocator
          required: true
          in: path
          description: >-
            A wallet locator can be of the format:

            - `<walletAddress>`

            - `email:<email>:<chainType>[:<walletType>][:alias:<alias>]`
            (walletType defaults to 'smart')

            - `userId:<userId>:<chainType>[:<walletType>][:alias:<alias>]`
            (white label user example)

            -
            `phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]`

            - `twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]`

            - `x:<handle>:<chainType>[:<walletType>][:alias:<alias>]`

            - `me:<chainType>[:<walletType>][:alias:<alias>]` (Use when calling
            from the client side with a client API key)

            - `chainType[:<walletType>]:alias:<alias>`
          schema:
            type: string
        - name: signer
          required: true
          in: path
          description: The locator for the signer
          schema:
            title: Signer Locator
            type: string
          example: external-wallet:0x1234567890123456789012345678901234567890
      responses:
        '200':
          description: The delegated signer has been successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DelegatedSignerV2025DtoClass'
        '404':
          description: Returns an error if the wallet or signer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletV1Alpha2ErrorDTO'
components:
  schemas:
    DelegatedSignerV2025DtoClass:
      anyOf:
        - allOf:
            - oneOf:
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for the Passkey signer type
                      enum:
                        - passkey
                    id:
                      type: string
                      description: Credential ID from the WebAuthn registration response
                    name:
                      type: string
                      description: Human-readable name for the passkey
                    publicKey:
                      type: object
                      properties:
                        x:
                          type: string
                          description: S component of the signature as a stringified bigint
                        'y':
                          type: string
                          description: S component of the signature as a stringified bigint
                      required:
                        - x
                        - 'y'
                      description: The public key coordinates from the WebAuthn credential
                    validatorContractVersion:
                      type: string
                      description: ERC-7579 webAuthn validator contract version
                    locator:
                      type: string
                      description: Unique identifier for locating this passkey signer
                  required:
                    - type
                    - id
                    - name
                    - publicKey
                    - validatorContractVersion
                    - locator
                  description: >-
                    Response schema for a registered Passkey signer including
                    validator contract details
                  title: Passkey Signer
                  example:
                    type: passkey
                    id: cWtP7gmZbd98HbKUuGXx5Q
                    name: hgranger
                    publicKey:
                      x: >-
                        38035223810536273945556366218149112558607829411547667975304293530457502824247
                      'y': >-
                        91117823763706733837104303008228095481082989039135234750508288790583476078729
                    validatorContractVersion: 0.2.0
                    locator: passkey:cWtP7gmZbd98HbKUuGXx5Q
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for API key signer type
                      enum:
                        - api-key
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                          description: The Solana address of the custodial signer
                        - type: string
                      description: The blockchain address of the custodial signer
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: API Key Signer
                  description: >-
                    Configuration for a custodial signer managed by Crossmint.
                    Contact sales (https://www.crossmint.com/contact/sales) for
                    access.
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for external wallet signer type
                      enum:
                        - external-wallet
                    address:
                      type: string
                      description: The blockchain address of the external wallet
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: External Wallet Signer
                  description: Configuration for an external wallet signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for server signer type
                      enum:
                        - server
                    address:
                      type: string
                      description: The blockchain address of the server signer
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: Server Signer
                  description: Configuration for a server signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for email signer type
                      enum:
                        - email
                    email:
                      description: The email address for the signer
                      type: string
                    locator:
                      description: The locator of the signer
                      type: string
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                      description: The address of the signer
                  required:
                    - type
                    - email
                    - locator
                    - address
                  title: Email Signer
                  description: Configuration for an email signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for phone signer type
                      enum:
                        - phone
                    phone:
                      type: string
                      description: The phone number for the signer in E164 format
                    locator:
                      description: The locator of the signer
                      type: string
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                      description: The address of the signer
                  required:
                    - type
                    - phone
                    - locator
                    - address
                  title: Phone Signer
                  description: Configuration for a phone signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for device signer type
                      enum:
                        - device
                    publicKey:
                      type: object
                      properties:
                        x:
                          type: string
                          description: The x coordinate of the p256 public key
                        'y':
                          type: string
                          description: The y coordinate of the p256 public key
                      required:
                        - x
                        - 'y'
                      description: The p256 public key of the device signer
                    locator:
                      description: The locator of the signer
                      type: string
                    name:
                      description: Optional human-readable name for the device signer
                      type: string
                  required:
                    - type
                    - publicKey
                    - locator
                  title: Device Signer
                  description: Configuration for a device signer
              description: Response schema for a registered signer
            - type: object
              properties:
                scopes:
                  description: >-
                    Optional array of scopes restricting the signer's
                    capabilities
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - transfer
                      tokenLocator:
                        type: string
                      recipients:
                        type: array
                        items:
                          type: string
                      spendingLimit:
                        type: object
                        properties:
                          amount:
                            type: string
                          interval:
                            type: integer
                            minimum: 1
                            maximum: 9007199254740991
                        required:
                          - amount
                    required:
                      - type
                      - tokenLocator
                    title: Transfer
                    description: >-
                      Scope to transfer tokens with optional spending limits and
                      recipient restrictions
                    example:
                      type: transfer
                      tokenLocator: stellar:usdc
                      recipients:
                        - >-
                          GDUCX62IF76FFIYRNI25LJDS2V43QEZDY4YNF2DJWVIASN5LKX76Q4TW
                      spendingLimit:
                        amount: '100'
                        interval: 86400
                  example:
                    type: transfer
                    tokenLocator: solana:sol
                    spendingLimit:
                      amount: '1'
                expiresAt:
                  description: The expiry date of the signer in ISO 8601 format
                  anyOf:
                    - description: ISO timestamp when the signature was created
                      type: number
                    - type: string
                transaction:
                  description: The transaction for the signer
                  type: object
                  properties:
                    chainType:
                      type: string
                      enum:
                        - solana
                    onChain:
                      type: object
                      properties:
                        transaction:
                          type: string
                        lastValidBlockHeight:
                          type: number
                        txId:
                          type: string
                        explorerLink:
                          type: string
                      required:
                        - transaction
                      description: >-
                        Solana custodial wallet transaction data including input
                        parameters and chain specific details
                    id:
                      type: string
                      description: Unique identifier for the transaction
                    status:
                      type: string
                      enum:
                        - awaiting-approval
                        - pending
                        - failed
                        - success
                      description: Current status of the transaction
                    approvals:
                      type: object
                      properties:
                        pending:
                          type: array
                          items:
                            type: object
                            properties:
                              signer:
                                oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - external-wallet
                                      address:
                                        type: string
                                        description: The address of the external wallet
                                      locator:
                                        type: string
                                        description: >-
                                          The locator of the external wallet
                                          signer
                                    required:
                                      - type
                                      - address
                                      - locator
                                    title: External Wallet Signer
                                    description: Full External Wallet signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - passkey
                                      id:
                                        type: string
                                        description: The ID of the passkey
                                      locator:
                                        type: string
                                        description: The locator of the passkey signer
                                    required:
                                      - type
                                      - id
                                      - locator
                                    title: Passkey Signer
                                    description: Full Passkey signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - api-key
                                      address:
                                        type: string
                                        description: The address of the api key
                                      locator:
                                        type: string
                                        description: The locator of the api key signer
                                    required:
                                      - type
                                      - address
                                      - locator
                                    title: API Key Signer
                                    description: Full API Key signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - device
                                      publicKey:
                                        type: object
                                        properties:
                                          x:
                                            type: string
                                          'y':
                                            type: string
                                        required:
                                          - x
                                          - 'y'
                                        description: The p256 public key of the device signer
                                      locator:
                                        type: string
                                        description: The locator of the device signer
                                      name:
                                        description: >-
                                          Optional human-readable name for the
                                          device signer
                                        type: string
                                    required:
                                      - type
                                      - publicKey
                                      - locator
                                    title: Device Signer
                                    description: Full Device signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - email
                                      email:
                                        type: string
                                        format: email
                                        pattern: >-
                                          ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - email
                                      - locator
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - phone
                                      phone:
                                        type: string
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - phone
                                      - locator
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - server
                                      address:
                                        type: string
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - address
                                      - locator
                                description: >-
                                  The full signer object who submitted this
                                  signature
                              message:
                                type: string
                                description: The message that needs to be signed
                            required:
                              - signer
                              - message
                          description: List of pending signatures
                        submitted:
                          type: array
                          items:
                            type: object
                            properties:
                              signature:
                                type: string
                                description: The cryptographic signature
                              submittedAt:
                                anyOf:
                                  - description: >-
                                      ISO timestamp when the signature was
                                      created
                                    type: number
                                  - type: string
                                description: ISO timestamp when the signature was created
                              signer:
                                oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - external-wallet
                                      address:
                                        type: string
                                        description: The address of the external wallet
                                      locator:
                                        type: string
                                        description: >-
                                          The locator of the external wallet
                                          signer
                                    required:
                                      - type
                                      - address
                                      - locator
                                    title: External Wallet Signer
                                    description: Full External Wallet signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - passkey
                                      id:
                                        type: string
                                        description: The ID of the passkey
                                      locator:
                                        type: string
                                        description: The locator of the passkey signer
                                    required:
                                      - type
                                      - id
                                      - locator
                                    title: Passkey Signer
                                    description: Full Passkey signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - api-key
                                      address:
                                        type: string
                                        description: The address of the api key
                                      locator:
                                        type: string
                                        description: The locator of the api key signer
                                    required:
                                      - type
                                      - address
                                      - locator
                                    title: API Key Signer
                                    description: Full API Key signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - device
                                      publicKey:
                                        type: object
                                        properties:
                                          x:
                                            type: string
                                          'y':
                                            type: string
                                        required:
                                          - x
                                          - 'y'
                                        description: The p256 public key of the device signer
                                      locator:
                                        type: string
                                        description: The locator of the device signer
                                      name:
                                        description: >-
                                          Optional human-readable name for the
                                          device signer
                                        type: string
                                    required:
                                      - type
                                      - publicKey
                                      - locator
                                    title: Device Signer
                                    description: Full Device signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - email
                                      email:
                                        type: string
                                        format: email
                                        pattern: >-
                                          ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - email
                                      - locator
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - phone
                                      phone:
                                        type: string
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - phone
                                      - locator
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - server
                                      address:
                                        type: string
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - address
                                      - locator
                                description: >-
                                  The full signer object who submitted this
                                  signature
                              message:
                                type: string
                                description: The message that was signed
                              metadata:
                                description: >-
                                  Additional metadata about the signature
                                  submission
                                type: object
                                properties:
                                  deviceInfo:
                                    type: string
                                  ipAddress:
                                    type: string
                                  userAgent:
                                    type: string
                            required:
                              - signature
                              - submittedAt
                              - signer
                              - message
                          description: Record of all submitted signatures
                        required:
                          description: Number of required approvals for the transaction
                          type: number
                      required:
                        - pending
                        - submitted
                      description: >-
                        Complete approval data including requirements, pending
                        and submitted signatures
                    createdAt:
                      anyOf:
                        - description: ISO timestamp when the signature was created
                          type: number
                        - type: string
                      description: ISO timestamp when the signature was created
                    completedAt:
                      description: ISO timestamp when the transaction reached finality
                      anyOf:
                        - description: ISO timestamp when the signature was created
                          type: number
                        - type: string
                    error:
                      description: Error message if the transaction fails after submission
                      anyOf:
                        - type: object
                          properties:
                            reason:
                              anyOf:
                                - type: string
                                  enum:
                                    - build_failed
                                - type: string
                                  enum:
                                    - failed_to_land_on_chain
                                - type: string
                                  enum:
                                    - unknown
                                - type: string
                                  enum:
                                    - sanctioned_wallet_address
                            message:
                              type: string
                            revertData:
                              type: object
                              additionalProperties: true
                          required:
                            - reason
                            - message
                        - type: object
                          properties:
                            reason:
                              type: string
                              enum:
                                - program_error
                            message:
                              type: string
                            revertData:
                              type: object
                              additionalProperties: true
                            logs: {}
                          required:
                            - reason
                            - message
                        - type: object
                          properties:
                            reason:
                              type: string
                              enum:
                                - execution_reverted
                            message:
                              type: string
                            revertData:
                              type: object
                              additionalProperties: true
                            revert:
                              type: object
                              description: Revert reason from smart contract
                              properties:
                                type:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - contract_call
                                    - type: string
                                      enum:
                                        - wallet_authorization
                                    - type: string
                                      enum:
                                        - wallet_deployment
                                reason:
                                  type: string
                                reasonData:
                                  anyOf:
                                    - type: string
                                    - type: object
                                      additionalProperties: true
                                explorerLink:
                                  type: string
                                simulationLink:
                                  type: string
                              required:
                                - type
                                - reason
                              example:
                                type: contract_call
                                reason: 'ERC20: transfer amount exceeds balance'
                          required:
                            - reason
                            - message
                    sendParams:
                      type: object
                      properties:
                        token:
                          type: string
                          description: The token locator that's being sent
                        params:
                          type: object
                          properties:
                            amount:
                              description: The amount of the token to send
                              type: string
                            recipient:
                              type: string
                              description: The recipient locator for the token
                            recipientAddress:
                              type: string
                              description: The recipient address for the token
                          required:
                            - recipient
                            - recipientAddress
                          description: The parameters for the send token transaction
                      required:
                        - token
                        - params
                    fees:
                      description: >-
                        Transaction fee information including actual transaction
                        fees, billed amounts, and billing status
                      type: object
                      properties:
                        mode:
                          type: string
                          enum:
                            - user-native
                            - user-fungible
                            - project
                        estimate: {}
                        actual: {}
                        billed:
                          type: object
                          properties:
                            usd:
                              type: number
                          required:
                            - usd
                        billing:
                          type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - pending
                                - settled
                                - failed
                          required:
                            - status
                      required:
                        - mode
                    walletType:
                      type: string
                      enum:
                        - smart
                  required:
                    - chainType
                    - onChain
                    - id
                    - status
                    - createdAt
                    - walletType
          title: Solana Delegated Signer Response
          description: >-
            Complete delegated signer response including the signer and
            authorization transaction
        - allOf:
            - oneOf:
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for the Passkey signer type
                      enum:
                        - passkey
                    id:
                      type: string
                      description: Credential ID from the WebAuthn registration response
                    name:
                      type: string
                      description: Human-readable name for the passkey
                    publicKey:
                      type: object
                      properties:
                        x:
                          type: string
                          description: S component of the signature as a stringified bigint
                        'y':
                          type: string
                          description: S component of the signature as a stringified bigint
                      required:
                        - x
                        - 'y'
                      description: The public key coordinates from the WebAuthn credential
                    validatorContractVersion:
                      type: string
                      description: ERC-7579 webAuthn validator contract version
                    locator:
                      type: string
                      description: Unique identifier for locating this passkey signer
                  required:
                    - type
                    - id
                    - name
                    - publicKey
                    - validatorContractVersion
                    - locator
                  description: >-
                    Response schema for a registered Passkey signer including
                    validator contract details
                  title: Passkey Signer
                  example:
                    type: passkey
                    id: cWtP7gmZbd98HbKUuGXx5Q
                    name: hgranger
                    publicKey:
                      x: >-
                        38035223810536273945556366218149112558607829411547667975304293530457502824247
                      'y': >-
                        91117823763706733837104303008228095481082989039135234750508288790583476078729
                    validatorContractVersion: 0.2.0
                    locator: passkey:cWtP7gmZbd98HbKUuGXx5Q
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for API key signer type
                      enum:
                        - api-key
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                          description: The Solana address of the custodial signer
                        - type: string
                      description: The blockchain address of the custodial signer
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: API Key Signer
                  description: >-
                    Configuration for a custodial signer managed by Crossmint.
                    Contact sales (https://www.crossmint.com/contact/sales) for
                    access.
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for external wallet signer type
                      enum:
                        - external-wallet
                    address:
                      type: string
                      description: The blockchain address of the external wallet
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: External Wallet Signer
                  description: Configuration for an external wallet signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for server signer type
                      enum:
                        - server
                    address:
                      type: string
                      description: The blockchain address of the server signer
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: Server Signer
                  description: Configuration for a server signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for email signer type
                      enum:
                        - email
                    email:
                      description: The email address for the signer
                      type: string
                    locator:
                      description: The locator of the signer
                      type: string
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                      description: The address of the signer
                  required:
                    - type
                    - email
                    - locator
                    - address
                  title: Email Signer
                  description: Configuration for an email signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for phone signer type
                      enum:
                        - phone
                    phone:
                      type: string
                      description: The phone number for the signer in E164 format
                    locator:
                      description: The locator of the signer
                      type: string
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                      description: The address of the signer
                  required:
                    - type
                    - phone
                    - locator
                    - address
                  title: Phone Signer
                  description: Configuration for a phone signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for device signer type
                      enum:
                        - device
                    publicKey:
                      type: object
                      properties:
                        x:
                          type: string
                          description: The x coordinate of the p256 public key
                        'y':
                          type: string
                          description: The y coordinate of the p256 public key
                      required:
                        - x
                        - 'y'
                      description: The p256 public key of the device signer
                    locator:
                      description: The locator of the signer
                      type: string
                    name:
                      description: Optional human-readable name for the device signer
                      type: string
                  required:
                    - type
                    - publicKey
                    - locator
                  title: Device Signer
                  description: Configuration for a device signer
              description: Response schema for a registered signer
            - type: object
              properties:
                scopes:
                  description: >-
                    Optional array of scopes restricting the signer's
                    capabilities
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - transfer
                      tokenLocator:
                        type: string
                      recipients:
                        type: array
                        items:
                          type: string
                      spendingLimit:
                        type: object
                        properties:
                          amount:
                            type: string
                          interval:
                            type: integer
                            minimum: 1
                            maximum: 9007199254740991
                        required:
                          - amount
                    required:
                      - type
                      - tokenLocator
                    title: Transfer
                    description: >-
                      Scope to transfer tokens with optional spending limits and
                      recipient restrictions
                    example:
                      type: transfer
                      tokenLocator: stellar:usdc
                      recipients:
                        - >-
                          GDUCX62IF76FFIYRNI25LJDS2V43QEZDY4YNF2DJWVIASN5LKX76Q4TW
                      spendingLimit:
                        amount: '100'
                        interval: 86400
                  example:
                    type: transfer
                    tokenLocator: base-sepolia:usdc
                    spendingLimit:
                      amount: '10'
                      interval: 86400
                expiresAt:
                  description: The expiry date of the signer in ISO 8601 format
                  anyOf:
                    - description: ISO timestamp when the signature was created
                      type: number
                    - type: string
                chains:
                  description: >-
                    Authorization status for each chain where the chain name is
                    the key and the signature request is the value
                  type: object
                  additionalProperties:
                    anyOf:
                      - type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - success
                        required:
                          - status
                        title: Delegated Signer Approved
                        description: Delegated signer that has been approved for this chain
                      - type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - pending
                              - awaiting-approval
                              - failed
                          id:
                            type: string
                            description: Unique identifier for the signature
                          approvals:
                            type: object
                            properties:
                              pending:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    signer:
                                      oneOf:
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - external-wallet
                                            address:
                                              type: string
                                              description: The address of the external wallet
                                            locator:
                                              type: string
                                              description: >-
                                                The locator of the external wallet
                                                signer
                                          required:
                                            - type
                                            - address
                                            - locator
                                          title: External Wallet Signer
                                          description: Full External Wallet signer object
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - passkey
                                            id:
                                              type: string
                                              description: The ID of the passkey
                                            locator:
                                              type: string
                                              description: The locator of the passkey signer
                                          required:
                                            - type
                                            - id
                                            - locator
                                          title: Passkey Signer
                                          description: Full Passkey signer object
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - api-key
                                            address:
                                              type: string
                                              description: The address of the api key
                                            locator:
                                              type: string
                                              description: The locator of the api key signer
                                          required:
                                            - type
                                            - address
                                            - locator
                                          title: API Key Signer
                                          description: Full API Key signer object
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - device
                                            publicKey:
                                              type: object
                                              properties:
                                                x:
                                                  type: string
                                                'y':
                                                  type: string
                                              required:
                                                - x
                                                - 'y'
                                              description: The p256 public key of the device signer
                                            locator:
                                              type: string
                                              description: The locator of the device signer
                                            name:
                                              description: >-
                                                Optional human-readable name for the
                                                device signer
                                              type: string
                                          required:
                                            - type
                                            - publicKey
                                            - locator
                                          title: Device Signer
                                          description: Full Device signer object
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - email
                                            email:
                                              type: string
                                              format: email
                                              pattern: >-
                                                ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                                            locator:
                                              type: string
                                          required:
                                            - type
                                            - email
                                            - locator
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - phone
                                            phone:
                                              type: string
                                            locator:
                                              type: string
                                          required:
                                            - type
                                            - phone
                                            - locator
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - server
                                            address:
                                              type: string
                                            locator:
                                              type: string
                                          required:
                                            - type
                                            - address
                                            - locator
                                      description: >-
                                        The full signer object who submitted
                                        this signature
                                    message:
                                      type: string
                                      description: The message that needs to be signed
                                  required:
                                    - signer
                                    - message
                                description: List of pending signatures
                              submitted:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    signature:
                                      type: string
                                      description: The cryptographic signature
                                    submittedAt:
                                      anyOf:
                                        - description: >-
                                            ISO timestamp when the signature was
                                            created
                                          type: number
                                        - type: string
                                      description: >-
                                        ISO timestamp when the signature was
                                        created
                                    signer:
                                      oneOf:
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - external-wallet
                                            address:
                                              type: string
                                              description: The address of the external wallet
                                            locator:
                                              type: string
                                              description: >-
                                                The locator of the external wallet
                                                signer
                                          required:
                                            - type
                                            - address
                                            - locator
                                          title: External Wallet Signer
                                          description: Full External Wallet signer object
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - passkey
                                            id:
                                              type: string
                                              description: The ID of the passkey
                                            locator:
                                              type: string
                                              description: The locator of the passkey signer
                                          required:
                                            - type
                                            - id
                                            - locator
                                          title: Passkey Signer
                                          description: Full Passkey signer object
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - api-key
                                            address:
                                              type: string
                                              description: The address of the api key
                                            locator:
                                              type: string
                                              description: The locator of the api key signer
                                          required:
                                            - type
                                            - address
                                            - locator
                                          title: API Key Signer
                                          description: Full API Key signer object
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - device
                                            publicKey:
                                              type: object
                                              properties:
                                                x:
                                                  type: string
                                                'y':
                                                  type: string
                                              required:
                                                - x
                                                - 'y'
                                              description: The p256 public key of the device signer
                                            locator:
                                              type: string
                                              description: The locator of the device signer
                                            name:
                                              description: >-
                                                Optional human-readable name for the
                                                device signer
                                              type: string
                                          required:
                                            - type
                                            - publicKey
                                            - locator
                                          title: Device Signer
                                          description: Full Device signer object
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - email
                                            email:
                                              type: string
                                              format: email
                                              pattern: >-
                                                ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                                            locator:
                                              type: string
                                          required:
                                            - type
                                            - email
                                            - locator
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - phone
                                            phone:
                                              type: string
                                            locator:
                                              type: string
                                          required:
                                            - type
                                            - phone
                                            - locator
                                        - type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - server
                                            address:
                                              type: string
                                            locator:
                                              type: string
                                          required:
                                            - type
                                            - address
                                            - locator
                                      description: >-
                                        The full signer object who submitted
                                        this signature
                                    message:
                                      type: string
                                      description: The message that was signed
                                    metadata:
                                      description: >-
                                        Additional metadata about the signature
                                        submission
                                      type: object
                                      properties:
                                        deviceInfo:
                                          type: string
                                        ipAddress:
                                          type: string
                                        userAgent:
                                          type: string
                                  required:
                                    - signature
                                    - submittedAt
                                    - signer
                                    - message
                                description: Record of all submitted signatures
                              required:
                                description: >-
                                  Number of required approvals for the
                                  transaction
                                type: number
                            required:
                              - pending
                              - submitted
                            description: >-
                              Complete approval data including requirements,
                              pending and submitted signatures
                        required:
                          - status
                          - id
                        title: Delegated Signer Awaiting Approval
                        description: >-
                          Delegated signer that is awaiting approval for this
                          chain
          title: EVM Delegated Signer Response
          description: >-
            Complete delegated signer response including the signer and
            authorizations for each chain
        - allOf:
            - oneOf:
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for the Passkey signer type
                      enum:
                        - passkey
                    id:
                      type: string
                      description: Credential ID from the WebAuthn registration response
                    name:
                      type: string
                      description: Human-readable name for the passkey
                    publicKey:
                      type: object
                      properties:
                        x:
                          type: string
                          description: S component of the signature as a stringified bigint
                        'y':
                          type: string
                          description: S component of the signature as a stringified bigint
                      required:
                        - x
                        - 'y'
                      description: The public key coordinates from the WebAuthn credential
                    validatorContractVersion:
                      type: string
                      description: ERC-7579 webAuthn validator contract version
                    locator:
                      type: string
                      description: Unique identifier for locating this passkey signer
                  required:
                    - type
                    - id
                    - name
                    - publicKey
                    - validatorContractVersion
                    - locator
                  description: >-
                    Response schema for a registered Passkey signer including
                    validator contract details
                  title: Passkey Signer
                  example:
                    type: passkey
                    id: cWtP7gmZbd98HbKUuGXx5Q
                    name: hgranger
                    publicKey:
                      x: >-
                        38035223810536273945556366218149112558607829411547667975304293530457502824247
                      'y': >-
                        91117823763706733837104303008228095481082989039135234750508288790583476078729
                    validatorContractVersion: 0.2.0
                    locator: passkey:cWtP7gmZbd98HbKUuGXx5Q
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for API key signer type
                      enum:
                        - api-key
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                          description: The Solana address of the custodial signer
                        - type: string
                      description: The blockchain address of the custodial signer
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: API Key Signer
                  description: >-
                    Configuration for a custodial signer managed by Crossmint.
                    Contact sales (https://www.crossmint.com/contact/sales) for
                    access.
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for external wallet signer type
                      enum:
                        - external-wallet
                    address:
                      type: string
                      description: The blockchain address of the external wallet
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: External Wallet Signer
                  description: Configuration for an external wallet signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for server signer type
                      enum:
                        - server
                    address:
                      type: string
                      description: The blockchain address of the server signer
                    locator:
                      description: The locator of the signer
                      type: string
                  required:
                    - type
                    - address
                    - locator
                  title: Server Signer
                  description: Configuration for a server signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for email signer type
                      enum:
                        - email
                    email:
                      description: The email address for the signer
                      type: string
                    locator:
                      description: The locator of the signer
                      type: string
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                      description: The address of the signer
                  required:
                    - type
                    - email
                    - locator
                    - address
                  title: Email Signer
                  description: Configuration for an email signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for phone signer type
                      enum:
                        - phone
                    phone:
                      type: string
                      description: The phone number for the signer in E164 format
                    locator:
                      description: The locator of the signer
                      type: string
                    address:
                      anyOf:
                        - type: string
                          description: The recipient address for this transaction call
                        - type: string
                      description: The address of the signer
                  required:
                    - type
                    - phone
                    - locator
                    - address
                  title: Phone Signer
                  description: Configuration for a phone signer
                - type: object
                  properties:
                    type:
                      type: string
                      description: Identifier for device signer type
                      enum:
                        - device
                    publicKey:
                      type: object
                      properties:
                        x:
                          type: string
                          description: The x coordinate of the p256 public key
                        'y':
                          type: string
                          description: The y coordinate of the p256 public key
                      required:
                        - x
                        - 'y'
                      description: The p256 public key of the device signer
                    locator:
                      description: The locator of the signer
                      type: string
                    name:
                      description: Optional human-readable name for the device signer
                      type: string
                  required:
                    - type
                    - publicKey
                    - locator
                  title: Device Signer
                  description: Configuration for a device signer
              description: Response schema for a registered signer
            - type: object
              properties:
                scopes:
                  description: >-
                    Optional array of scopes restricting the signer's
                    capabilities
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - transfer
                      tokenLocator:
                        type: string
                      recipients:
                        type: array
                        items:
                          type: string
                      spendingLimit:
                        type: object
                        properties:
                          amount:
                            type: string
                          interval:
                            type: integer
                            minimum: 1
                            maximum: 9007199254740991
                        required:
                          - amount
                    required:
                      - type
                      - tokenLocator
                    title: Transfer
                    description: >-
                      Scope to transfer tokens with optional spending limits and
                      recipient restrictions
                    example:
                      type: transfer
                      tokenLocator: stellar:usdc
                      recipients:
                        - >-
                          GDUCX62IF76FFIYRNI25LJDS2V43QEZDY4YNF2DJWVIASN5LKX76Q4TW
                      spendingLimit:
                        amount: '100'
                        interval: 86400
                  example:
                    type: transfer
                    tokenLocator: stellar:usdc
                    spendingLimit:
                      amount: '100'
                expiresAt:
                  description: The expiry date of the signer in ISO 8601 format
                  anyOf:
                    - description: ISO timestamp when the signature was created
                      type: number
                    - type: string
                transaction:
                  description: The transaction for the signer
                  type: object
                  properties:
                    chainType:
                      type: string
                      enum:
                        - stellar
                    onChain:
                      type: object
                      properties:
                        transaction:
                          type: object
                          properties:
                            method:
                              type: string
                            tx:
                              type: string
                          required:
                            - method
                            - tx
                          title: Stellar on-chain transaction
                          description: The Stellar Transaction Envelope
                        txId:
                          description: The transaction hash
                          type: string
                        ledger:
                          description: The ledger number where the transaction was included
                          type: number
                        expiration:
                          type: number
                          description: The expiration of the transaction
                        result:
                          description: The Transaction Result in XDR format
                        explorerLink:
                          description: Optional link to view the transaction in an explorer
                          type: string
                      required:
                        - transaction
                        - expiration
                      title: Stellar on-chain data
                    id:
                      type: string
                      description: Unique identifier for the transaction
                    status:
                      type: string
                      enum:
                        - awaiting-approval
                        - pending
                        - failed
                        - success
                      description: Current status of the transaction
                    approvals:
                      type: object
                      properties:
                        pending:
                          type: array
                          items:
                            type: object
                            properties:
                              signer:
                                oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - external-wallet
                                      address:
                                        type: string
                                        description: The address of the external wallet
                                      locator:
                                        type: string
                                        description: >-
                                          The locator of the external wallet
                                          signer
                                    required:
                                      - type
                                      - address
                                      - locator
                                    title: External Wallet Signer
                                    description: Full External Wallet signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - passkey
                                      id:
                                        type: string
                                        description: The ID of the passkey
                                      locator:
                                        type: string
                                        description: The locator of the passkey signer
                                    required:
                                      - type
                                      - id
                                      - locator
                                    title: Passkey Signer
                                    description: Full Passkey signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - api-key
                                      address:
                                        type: string
                                        description: The address of the api key
                                      locator:
                                        type: string
                                        description: The locator of the api key signer
                                    required:
                                      - type
                                      - address
                                      - locator
                                    title: API Key Signer
                                    description: Full API Key signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - device
                                      publicKey:
                                        type: object
                                        properties:
                                          x:
                                            type: string
                                          'y':
                                            type: string
                                        required:
                                          - x
                                          - 'y'
                                        description: The p256 public key of the device signer
                                      locator:
                                        type: string
                                        description: The locator of the device signer
                                      name:
                                        description: >-
                                          Optional human-readable name for the
                                          device signer
                                        type: string
                                    required:
                                      - type
                                      - publicKey
                                      - locator
                                    title: Device Signer
                                    description: Full Device signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - email
                                      email:
                                        type: string
                                        format: email
                                        pattern: >-
                                          ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - email
                                      - locator
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - phone
                                      phone:
                                        type: string
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - phone
                                      - locator
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - server
                                      address:
                                        type: string
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - address
                                      - locator
                                description: >-
                                  The full signer object who submitted this
                                  signature
                              message:
                                type: string
                                description: The message that needs to be signed
                            required:
                              - signer
                              - message
                          description: List of pending signatures
                        submitted:
                          type: array
                          items:
                            type: object
                            properties:
                              signature:
                                type: string
                                description: The cryptographic signature
                              submittedAt:
                                anyOf:
                                  - description: >-
                                      ISO timestamp when the signature was
                                      created
                                    type: number
                                  - type: string
                                description: ISO timestamp when the signature was created
                              signer:
                                oneOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - external-wallet
                                      address:
                                        type: string
                                        description: The address of the external wallet
                                      locator:
                                        type: string
                                        description: >-
                                          The locator of the external wallet
                                          signer
                                    required:
                                      - type
                                      - address
                                      - locator
                                    title: External Wallet Signer
                                    description: Full External Wallet signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - passkey
                                      id:
                                        type: string
                                        description: The ID of the passkey
                                      locator:
                                        type: string
                                        description: The locator of the passkey signer
                                    required:
                                      - type
                                      - id
                                      - locator
                                    title: Passkey Signer
                                    description: Full Passkey signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - api-key
                                      address:
                                        type: string
                                        description: The address of the api key
                                      locator:
                                        type: string
                                        description: The locator of the api key signer
                                    required:
                                      - type
                                      - address
                                      - locator
                                    title: API Key Signer
                                    description: Full API Key signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - device
                                      publicKey:
                                        type: object
                                        properties:
                                          x:
                                            type: string
                                          'y':
                                            type: string
                                        required:
                                          - x
                                          - 'y'
                                        description: The p256 public key of the device signer
                                      locator:
                                        type: string
                                        description: The locator of the device signer
                                      name:
                                        description: >-
                                          Optional human-readable name for the
                                          device signer
                                        type: string
                                    required:
                                      - type
                                      - publicKey
                                      - locator
                                    title: Device Signer
                                    description: Full Device signer object
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - email
                                      email:
                                        type: string
                                        format: email
                                        pattern: >-
                                          ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                                      locator:
                                        type: string
                                    required:
                                      - type
                                      - email
                                      - locator
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - phone
[...]
